OpenLDAP rcpt500 mail query server README

OVERVIEW

This is a mail-query server that answers LDAP white pages queries.
It is designed to be run out of your mail systems alias file, or the
equivalent.  It expects to be fed the entire contents (including
headers) of an RFC822 message via standard input.  It parses the
message, looking in the Subject: field or the body of the message
for a command that it recognizes.

The commands currently recognized are listed in the file cmd.c.  They
all map into two actual operations the server performs: an X.500 query
or a help command.  If no recognizable command is found in the
Subject:  or body of the message, help is assumed.  An appropriate
reply is sent to the sender of the message in response to the command.

The help command returns the contents of the file rcpt500.help.  You
can modify the contents as appropriate for your local site.

The query command performs a series of LDAP searches to try to find
a person that matches the object of the query.  If more than one
X.500 entry matches, a list is returned.  If exactly one is matched,
detailed information is returned. Here is an example message and rcpt500
generated reply:

Query message:
	Mail ldap-query@example.com
	Subject: find tim howes
	.

Reply from rcpt500:
    Message-Id: <199209161526.AA12041@example.com>
    Date: Wed, 16 Sep 1992 11:26:17 -0400
    From: "LDAP Query Program" <ldap-query@example.com>
    Subject: Re: find tim howes
    In-Reply-To: Your message of "Wed, 16 Sep 1992 11:26:12 -0400"
		 <199209161526.AA26144@terminator.cc.example.com>
    To: "Mark Smith" <mcs@terminator.cc.example.com>

    One exact match was found for 'tim howes':
    "Timothy A Howes, Information Technology Division, Faculty and Staff"
      Also known as:   
			Timothy Howes
			Timothy A Howes 1
			Timothy A Howes
			Tim Howes
      E-mail address:  
			tim@terminator.cc.umich.edu
      Fax number:      
			+1 313 764 5140 (argus building)
      Business phone:  
			+1 313 747-4454
      Business address:
			ITD Research Systems 
			535 W William St. 
			Ann Arbor, MI 48103-4943
      Title:           
			Systems Research Programmer II, Research Systems
      Uniqname:        
			tim

If you want to try out rcpt500 yourself before installing it at your site,
send a message to ldap-query@umich.edu (we have a server running
there that serves University of Michigan white pages information).


CONFIGURING AND RUNNING rcpt500 AT YOUR LOCAL SITE
You will probably need to make changes to the file ldapconfig.h.edit to
configure rcpt500 for your local site.  There are comments in the file
describing each variable you might need to change.  Then type make in
the rcpt500 directory to make sure things are up to date.  You will
need to install the rcpt500 binary and help files (make install).  This
all assumes you have built the LDAP libraries already.  If in doubt,
just do a make from the top of the LDAP distribution.

You will then need to set up an alias that your users can send mail
to that will feed the messages to rcpt500.  At our site, we run sendmail
so the alias is in /usr/lib/aliases and looks like:

	ldap-query:     "|/usr/local/etc/rcpt500 -l"

The available command line options for rcpt500 are:
    -l			enable logging of requests via the syslog
			  LOG_DAEMON facility
    -h ldaphost		specify LDAP server host to connect to
    -b searchbase	specify starting point of LDAP searches
    -a			don't deference aliases during searches
    -s stripcount	remove "stripcount" DN components from user
			  friendly form names that are displayed
    -z sizelimit	return at most "sizelimit" entries
    -u dapuser		DN to bind to LDAP as when searching

The search and display behavior is defined in the ldapfilter.conf and
ldaptemplates.conf files.


FEEDBACK / PROBLEM REPORTS / DISCUSSIONS

    The software is provided as is without any express or implied
    warranty, but you can report problems using our Issue Tracking
    System:

	    http://www.OpenLDAP.com/its/

    or by sending e-mail to:

	    OpenLDAP-its@OpenLDAP.org

    Mailing lists are available.  Please see:

	    http://www.OpenLDAP.com/lists/
